Subject: Re: [PATCH net-next] eth: fbnic: Add PCIe hardware statistics

From: Leon Romanovsky <[email-masked]>
Date: Thu, 7 Nov 2024 10:23:27 +0200

On Wed, Nov 06, 2024 at 04:09:58PM -0800, Jakub Kicinski wrote:
> On Wed, 6 Nov 2024 18:36:16 +0100 Andrew Lunn wrote:
> > > How would this be done in the PCI core?  As far as I can tell, all
> > > these registers are device-specific and live in some device BAR.  
> > 
> > Is this a licences PCIe core?
> > 
> > Could the same statistics appear in other devices which licence the
> > same core? Maybe this needs pulling out into a helper?
> 
> The core is licensed but I believe the _USER in the defines names means
> the stats sit in the integration logic not the licensed IP. I could be
> wrong.
> 
> > If this is true, other uses of this core might not be networking
> > hardware, so ethtool -S would not be the best interfaces. Then they
> > should appear in debugfs?
> 
> I tried to push back on adding PCIe config to network tooling,
> and nobody listened. Look at all the PCI stuff in devlink params.
> Some vendors dump PCIe signal integrity into ethtool -S

Can you please give an example? I grepped various keywords and didn't
find anything suspicious.

Thanks